# Generated from join_count_files-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name join_count_files

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Join two files with unique counts into a single file with sum by ascending or descending order.  Primarily used for genomic sequencing & searches, bioinformatics, and NLP pipelines to quickly consolidate files
License: MIT
URL: https://dna-utah.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A Ruby Gem used for consolidating files containing lists with a unique
identifier (such as genetic sequence) and their associated value, count, or
sum (in asc or desc order) into a single file.  We've used it for sequencing
and genomic searches for assay development in molecular diagnostics to
consolidate distributed processes and pipelines.  Also helpful for
bioinformatics and NLP applications to summarize occurences of frequency.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 0.3.0-1
- Initial package
